Bug 948 - FreeBSD winbind support is broken
FreeBSD winbind support is broken
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.0preX
All FreeBSD
: P2 major
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks: 797
  Show dependency treegraph
 
Reported: 2004-01-07 12:17 UTC by Justin Baugh
Modified: 2005-11-14 09:26 UTC (History)
0 users

See Also:


Attachments
Fixes FreeBSD's NSS winbind support. (504 bytes, patch)
2004-01-07 12:18 UTC, Justin Baugh
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Baugh 2004-01-07 12:17:09 UTC
FreeBSD winbind support is broken: as compiled, the nss_winbind.so module is 
missing the actual winbind symbols which perform the getpwnam/getgrent/etc 
functions. winbind_nss_freebsd.c is not intended as a replacement but as a 
wrapper around the Linux code. It still needs the functions in 
winbind_nss_linux.c.

To observe the bug:

1) Compile and install the nss_winbind.so module, and edit nsswitch.conf to 
use winbind.

2) Use pw showuser [DOMAIN USER], smbd, etc. Winbind clearly does not work, 
and you'll get messages similar to the following in the debug syslog facility:

NSSWITCH(nss_method_lookup): winbind, group, setgrent, not found
NSSWITCH(nss_method_lookup): winbind, group, getgrent_r, not found
NSSWITCH(nss_method_lookup): winbind, group, endgrent, not found

...ad infinitum.

Attached is a tiny patch to Samba's configure script to fix the problem. After 
you recompile and reinstall libnss_winbind.so (as nss_winbind.so in /usr/lib) 
it works and the messages cease.
Comment 1 Justin Baugh 2004-01-07 12:18:13 UTC
Created attachment 351 [details]
Fixes FreeBSD's NSS winbind support.
Comment 2 Jeremy Allison 2004-01-07 13:10:00 UTC
Applied, thanks.
Jeremy.
Comment 3 Gerald (Jerry) Carter 2005-02-07 07:57:17 UTC
originally reported against 3.0aph24.  Bugzilla spring cleaning.  
Removing old alpha versions.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:16:57 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 5 Gerald (Jerry) Carter 2005-11-14 09:26:40 UTC
database cleanup